org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcUtils

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcUtils

    public class JdbcUtils
    extends Object

Various JDBC utility methods.

### Constructor Summary

Constructors
Constructor and Description
`JdbcUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<List<Object>>` `readItems(BinaryReaderExImpl reader)`
`static List<String>` `readStringList(BinaryReaderExImpl reader)`
`static void` `writeItems(BinaryWriterExImpl writer, List<List<Object>> items)`
`static void` `writeStringCollection(BinaryWriterExImpl writer, Collection<String> lst)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcUtils

    public JdbcUtils()

### Method Detail

#### writeItems

    public static void writeItems(BinaryWriterExImpl writer,
                                  List<List<Object>> items)

Parameters:
  `writer` - Binary writer.
  `items` - Query results items.

#### readItems

    public static List<List<Object>> readItems(BinaryReaderExImpl reader)

Parameters:
  `reader` - Binary reader.
Returns:
  Query results items.

#### writeStringCollection

    public static void writeStringCollection(BinaryWriterExImpl writer,
                                             Collection<String> lst)

Parameters:
  `writer` - Binary writer.
  `lst` - List to write.

#### readStringList

    public static List<String> readStringList(BinaryReaderExImpl reader)

Parameters:
  `reader` - Binary reader.
Returns:
  List of string.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019